# Uses of Class
javax.imageio.plugins.tiff.TIFFDirectory

Packages that use TIFFDirectory
Package
Description
javax.imageio.plugins.tiff
Public classes used by the built-in TIFF plug-ins.

## Uses of TIFFDirectory in javax.imageio.plugins.tiff

Methods in javax.imageio.plugins.tiff that return TIFFDirectory
Modifier and Type
Method
Description
`TIFFDirectory`
TIFFDirectory.`clone()`
Clones the directory and all the fields contained therein.
`static TIFFDirectory`
TIFFDirectory.`createFromMetadata​(IIOMetadata tiffImageMetadata)`
Creates a `TIFFDirectory` instance from the contents of an image metadata object.
`TIFFDirectory`
TIFFField.`getDirectory()`
Returns the associated `TIFFDirectory`, if available.
Constructors in javax.imageio.plugins.tiff with parameters of type TIFFDirectory
Modifier
Constructor
Description
``
`TIFFField​(TIFFTag tag, int type, long offset, TIFFDirectory dir)`
Constructs a `TIFFField` with an IFD offset and contents.